## khronos-api 0~svn29735

=== Makefile ===
# Copyright (c) 2013-2014 The Khronos Group Inc.
#
# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and/or associated documentation files (the
# "Materials"), to deal in the Materials without restriction, including
# without limitation the rights to use, copy, modify, merge, publish,
# distribute, sublicense, and/or sell copies of the Materials, and to
# permit persons to whom the Materials are furnished to do so, subject to
# the following conditions:
#
# The above copyright notice and this permission notice shall be included
# in all copies or substantial portions of the Materials.
#
# THE MATERIALS ARE PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
# CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
# TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
# MATERIALS OR THE USE OR OTHER DEALINGS IN THE MATERIALS.

# Generator scripts and options
# GENOPTS can be e.g. '-noprotect'

PYFILES = genheaders.py reg.py
GENOPTS =
GENHEADERS = genheaders.py $(GENOPTS)

# Generate all headers for GL / GLES / WGL / GLX / EGL
# Different headers depend on different XML registry files

GLHEADERS  = GL/glext.h GL/glcorearb.h \
	     GLES/gl.h GLES/glext.h \
	     GLES2/gl2.h GLES2/gl2ext.h \
	     GLES3/gl3.h
GLXHEADERS = GL/glx.h GL/glxext.h
WGLHEADERS = GL/wgl.h GL/wglext.h
EGLHEADERS = EGL/egl.h EGL/eglext.h
ALLHEADERS = $(GLHEADERS) $(GLXHEADERS) $(WGLHEADERS) $(EGLHEADERS)

default: $(ALLHEADERS)

$(GLHEADERS): gl.xml $(PYFILES)
	$(GENHEADERS) $@

$(GLXHEADERS): glx.xml $(PYFILES)
	$(GENHEADERS) $@ -registry glx.xml

$(WGLHEADERS): wgl.xml $(PYFILES)
	$(GENHEADERS) $@ -registry wgl.xml

# Not finished yet
$(EGLHEADERS): egl.xml $(PYFILES)
	$(GENHEADERS) $@ -registry egl.xml

# Generate Relax NG XML schema from Compact schema

registry.rng: registry.rnc
	trang registry.rnc registry.rng

# Verify all registry XML files against the schema

validate:
	jing -c registry.rnc gl.xml
	jing -c registry.rnc glx.xml
	jing -c registry.rnc wgl.xml
	jing -c registry.rnc egl.xml

clean:

clobber: clean
	-rm -f diag.txt dumpReg.txt errwarn.txt

## khronos-api 0~svn29577

=== debian/changelog ===
khronos-api (0~svn29577-2) unstable; urgency=medium

  * Include MIT copyright text only once.
  * Include needed texlive build-dependencies (closes: #779089).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 29 Mar 2015 05:54:12 +0000

khronos-api (0~svn29577-1) unstable; urgency=low

  * Initial release.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 25 Jan 2015 02:11:06 +0000

=== debian/control ===
Source: khronos-api
Section: x11
Priority: optional
Maintainer: Michael Gilbert <mgilbert@debian.org>
Build-Depends:
 debhelper (>= 9),
 doc-base,
 python-lxml,
 texlive-latex-extra,
 texlive-fonts-recommended,
 texlive-generic-recommended,
Standards-Version: 3.9.6
Homepage: https://www.opengl.org/registry

Package: khronos-api
Architecture: all
Depends:
 ${misc:Depends},
Description: Khronos XML API Registry
 This package contains the Khronos XML API Registry.  It  is the successor
 to ancient and undocumented .spec files used for many years to describe
 the GL, WGL, and GLX APIs.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

%:
	dh $@ 

override_dh_install:
	pdflatex readme.tex
	dh_install

override_dh_clean:
	dh_clean -- EGL/* GL/* GLES/* GLES2/* GLES3/* \
	    *.pyc *.aux *.log *.toc *.out *.idx *.pdf
	make clobber

## khronos-api 0~svn29735

=== debian/changelog ===
khronos-api (0~svn29735-1ubuntu1) xenial; urgency=medium

  * Build-depend on python-{dateutil,debian} to fix FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 04 Feb 2016 23:59:41 -0500

khronos-api (0~svn29735-1) unstable; urgency=medium

  * Fix a lintian warning.
  * Simplify the clean rule.
  * Use changelog date for timestamps.
  * New upstream version supporting the opengl 4.5 spec (closes: #808075).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 31 Jan 2016 00:00:17 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,13 @@
 Source: khronos-api
 Section: x11
 Priority: optional
-Maintainer: Michael Gilbert <mgilbert@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michael Gilbert <mgilbert@debian.org>
 Build-Depends:
  debhelper (>= 9),
  doc-base,
+ python-dateutil,
+ python-debian,
  python-lxml,
  texlive-latex-extra,
  texlive-fonts-recommended,

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

export CHANGE=$(shell dpkg-parsechangelog -S date)
export DATE=$(shell date -ud '$(CHANGE)' +D:%Y%m%d%H%M%SZ)

%:
	dh $@ 

override_dh_install:
	pdflatex '\pdfinfo{/CreationDate($(DATE))/ModDate($(DATE))}\input{readme.tex}'
	dh_install

override_dh_clean:
	dh_clean
	make clobber

revision=29735
tarball=khronos-api_0~svn$(revision).orig.tar.xz
url=https://cvs.khronos.org/svn/repos/ogl/trunk/doc/registry/public/api

get-orig-source:
	test -d ../khronos-api/.svn || svn co $(url) ../khronos-api
	cd ../khronos-api && svn up -r$(revision)
	cd ../khronos-api && rm -f $(shell cat debian/clean)
	rm -f ../$(tarball)
	cd .. && tar cvJf $(tarball) khronos-api --exclude-vcs
	@echo "successfully created ../$(tarball)"

## khronos-api 0~svn33340

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (c) 2013-2014 The Khronos Group Inc.
+# Copyright (c) 2013-2016 The Khronos Group Inc.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a
 # copy of this software and/or associated documentation files (the

=== debian/changelog ===
khronos-api (0~svn33340-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New (and final in svn) upstream revision 33340.
  * Refresh timestamps.patch.
  * Make package Multi-Arch: foreign (closes: #865308).
    Thanks to Hugh McMaster
  * Minor improvement to the package description (closes: #865307).
  * Bump standards version to 4.0.0, no changes needed.
  * Fix file exclusion in tarball generation.

 -- Jens Reyer <jre.winesim@gmail.com>  Fri, 21 Jul 2017 14:30:10 +0200

khronos-api (0~svn29735-1.1) unstable; urgency=medium

  * Non-maintainer upload. "DebConf upload."
  * Fix FTBFS. Add build-depends python-debian and python-dateutil
    (closes: #814914).

 -- Jens Reyer <jre.winesim@gmail.com>  Fri, 01 Jul 2016 16:46:18 +0200

=== debian/control ===
Source: khronos-api
Section: x11
Priority: optional
Maintainer: Michael Gilbert <mgilbert@debian.org>
Build-Depends:
 debhelper (>= 9),
 doc-base,
 python-lxml,
 python-debian,
 python-dateutil,
 texlive-latex-extra,
 texlive-fonts-recommended,
 texlive-generic-recommended,
Standards-Version: 4.0.0
Homepage: https://www.opengl.org/registry

Package: khronos-api
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Khronos XML API Registry
 This package contains the Khronos XML API Registry.  It is the
 successor to the ancient and undocumented .spec files used for many
 years to describe the GL, WGL, and GLX APIs.

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	dh_clean
 	make clobber
 
-revision=29735
+revision=33340
 tarball=khronos-api_0~svn$(revision).orig.tar.xz
 url=https://cvs.khronos.org/svn/repos/ogl/trunk/doc/registry/public/api
 
@@ -25,5 +25,9 @@
 	cd ../khronos-api && svn up -r$(revision)
 	cd ../khronos-api && rm -f $(shell cat debian/clean)
 	rm -f ../$(tarball)
-	cd .. && tar cvJf $(tarball) khronos-api --exclude-vcs
+	cd .. && tar cvJf $(tarball) \
+	             --exclude-vcs \
+	             --exclude=khronos-api/.pc \
+	             --exclude=khronos-api/debian \
+	             khronos-api
 	@echo "successfully created ../$(tarball)"

## khronos-api 4.6%2Bgit20180514

=== debian/changelog ===
khronos-api (4.6+git20180514-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.  No changes needed.
    Note: Build-dependency required for wine stretch-backports.
  * Add myself to Uploaders for stretch-backports.

 -- Jens Reyer <jre.winesim@gmail.com>  Sun, 27 May 2018 18:23:32 +0200

khronos-api (4.6+git20180514-1) unstable; urgency=medium

  * New upstream git checkout (closes: #869233).
  * Add a watch file.
  * Update to python 3.
  * Update to debhelper 11.
  * Update debian/copyright.
  * Update standards version.
  * Apply the non-maintainer upload.
    - Thanks to Jens Reyer.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 19 May 2018 04:44:04 +0000

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,18 @@
 Section: x11
 Priority: optional
 Maintainer: Michael Gilbert <mgilbert@debian.org>
+Uploaders: Jens Reyer <jre.winesim@gmail.com>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  doc-base,
- python-lxml,
- python-debian,
- python-dateutil,
+ python3 (>= 3.5),
+ python3-lxml,
+ python3-debian,
+ python3-dateutil,
  texlive-latex-extra,
  texlive-fonts-recommended,
  texlive-generic-recommended,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.4
 Homepage: https://www.opengl.org/registry
 
 Package: khronos-api

## khronos-api 4.6%2Bgit20180514-2%2B10.0trisquel2

=== debian/changelog ===
khronos-api (4.6+git20180514-2+10.0trisquel2) nabia-backports; urgency=medium

  * Backported from debian stable as a wine dependency

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 27 Aug 2021 16:31:19 +0000

khronos-api (4.6+git20180514-2) unstable; urgency=medium

  * Update to debhelper 12.
  * Update standards version to 4.5.0.
  * Handle removal of time.clock in python 3.8 (closes: #954516).
  * Change build dependency to texlive-plain-generic (closes: #941534).

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 08 Apr 2020 00:27:33 +0000

## khronos-api 4.6+git20180514

=== xml/Makefile ===
# Copyright (c) 2013-2017 The Khronos Group Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Generator scripts and options
# GENOPTS can be e.g. '-noprotect'

PYFILES = genheaders.py reg.py
GENOPTS =
GENHEADERS = ./genheaders.py $(GENOPTS)

# Generate all headers for GL / GLES / WGL / GLX
# Different headers depend on different XML registry files
# The $(GENHEADERS) script has targets for the additional headers
#   $(API)/GL/gl.h
#   $(API)/GL/glx.h
#   $(API)/GL/wgl.h
# but these are experimental and not supported by Khronos. OpenGL
# drivers and SDKs provided by OS vendors and IHVs include their own
# platform-specific versions of these headers, where appropriate.

API	   = ../api
GLHEADERS  = $(API)/GL/glext.h \
	     $(API)/GL/glcorearb.h \
	     $(API)/GLES/gl.h \
	     $(API)/GLES/glext.h \
	     $(API)/GLES2/gl2.h \
	     $(API)/GLES2/gl2ext.h \
	     $(API)/GLES3/gl3.h
GLXHEADERS = $(API)/GL/glxext.h
WGLHEADERS = $(API)/GL/wglext.h
ALLHEADERS = $(GLHEADERS) $(GLXHEADERS) $(WGLHEADERS)

# Generated files to clean up
TEXDIRT = readme.aux readme.idx readme.ilg readme.ind readme.log readme.toc readme.out
PYDIRT	= diag.txt dumpReg.txt errwarn.txt reg.pyc

default: $(ALLHEADERS)

$(GLHEADERS): gl.xml $(PYFILES)
	$(GENHEADERS) $@

$(GLXHEADERS): glx.xml $(PYFILES)
	$(GENHEADERS) $@ -registry glx.xml

$(WGLHEADERS): wgl.xml $(PYFILES)
	$(GENHEADERS) $@ -registry wgl.xml

# Generate Relax NG XML schema from Compact schema

registry.rng: registry.rnc
	trang registry.rnc registry.rng

# Verify all registry XML files against the schema

validate:
	jing -c registry.rnc gl.xml
	jing -c registry.rnc glx.xml
	jing -c registry.rnc wgl.xml

# Documentation target

readme.pdf: readme.tex
	touch readme.ind
	pdflatex readme.tex
	pdflatex readme.tex
	makeindex readme.idx
	pdflatex readme.tex

clean:
	-rm -f $(PYDIRT) $(TEXDIRT)

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,17 @@
 Section: x11
 Priority: optional
 Maintainer: Michael Gilbert <mgilbert@debian.org>
-Uploaders: Jens Reyer <jre.winesim@gmail.com>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  doc-base,
  python3 (>= 3.5),
  python3-lxml,
  python3-debian,
  python3-dateutil,
  texlive-latex-extra,
+ texlive-plain-generic,
  texlive-fonts-recommended,
- texlive-generic-recommended,
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Homepage: https://www.opengl.org/registry
 
 Package: khronos-api

=== debian/watch ===
version=4
opts="mode=git,pretty=4.6+git%cd" https://github.com/KhronosGroup/OpenGL-Registry HEAD

## khronos-api 4.6+git20180514-1~bpo9+1+9.0trisquel1

=== debian/changelog ===
khronos-api (4.6+git20180514-1~bpo9+1+9.0trisquel1) etiona-backports; urgency=medium

  * Backported from debian old stable backports

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 19 Jul 2020 10:56:35 +0000

## khronos-api 4.6+git20180514-1~bpo9+1+9.0trisquel2

=== debian/changelog ===
khronos-api (4.6+git20180514-1~bpo9+1+9.0trisquel2) etiona-backports; urgency=medium

  * Backported from debian old old stable backports

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 29 Aug 2021 14:31:19 +0000

## khronos-api 4.6+git20220505

=== xml/Makefile ===
--- 
+++ 
@@ -1,16 +1,5 @@
-# Copyright (c) 2013-2017 The Khronos Group Inc.
-#
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at
-#
-#     http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
+# Copyright 2013-2020 The Khronos Group Inc.
+# SPDX-License-Identifier: Apache-2.0
 
 # Generator scripts and options
 # GENOPTS can be e.g. '-noprotect'
@@ -38,7 +27,8 @@
 	     $(API)/GLES2/gl2ext.h \
 	     $(API)/GLES3/gl3.h
 GLXHEADERS = $(API)/GL/glxext.h
-WGLHEADERS = $(API)/GL/wglext.h
+WGLHEADERS = $(API)/GL/wglext.h \
+	     $(API)/GL/wgl.h
 ALLHEADERS = $(GLHEADERS) $(GLXHEADERS) $(WGLHEADERS)
 
 # Generated files to clean up

=== debian/changelog ===
khronos-api (4.6+git20220505-1) unstable; urgency=medium

  * New upstream release May 2022.
  * Update standards version to 4.6.1.
  * Some documentation now uses the CC-BY-4.0 license.
  * Drop doc-base build dependency (closes: #1020953).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 08 Oct 2022 04:46:16 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Michael Gilbert <mgilbert@debian.org>
 Build-Depends:
  debhelper-compat (= 12),
- doc-base,
  python3 (>= 3.5),
  python3-lxml,
  python3-debian,
@@ -12,7 +11,7 @@
  texlive-latex-extra,
  texlive-plain-generic,
  texlive-fonts-recommended,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://www.opengl.org/registry
 
 Package: khronos-api

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export CHANGE=$(shell dpkg-parsechangelog -S date)
export DATE=$(shell date -ud '$(CHANGE)' +D:%Y%m%d%H%M%SZ)

%:
	dh $@ --sourcedirectory=xml

override_dh_install:
	pdflatex '\pdfinfo{/CreationDate($(DATE))/ModDate($(DATE))}\input{xml/readme.tex}'
	pdflatex '\pdfinfo{/CreationDate($(DATE))/ModDate($(DATE))}\input{xml/readme.tex}'
	pdflatex '\pdfinfo{/CreationDate($(DATE))/ModDate($(DATE))}\input{xml/readme.tex}'
	dh_install

override_dh_clean:
	dh_clean
	rm -rf api xml/__pycache__
